Bug 301244 - amazon store error despite being configured to none
Summary: amazon store error despite being configured to none
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Amazon MP3 Store (show other bugs)
Version: 2.5.90 (2.6 beta)
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL: http://wstaw.org/m/2012/06/05/plasma-...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-05 21:35 UTC by Harald Sitter
Modified: 2012-06-07 20:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Sitter 2012-06-05 21:35:13 UTC
everytime I start amarok I get an error which, according to Myriam, is coming from the amazon store

what my amarokrc has to say about that:
[Service_Amazon]
country=none

please also see linked screenshot

Reproducible: Always
Comment 1 Sven Krohlas 2012-06-07 20:22:35 UTC
Git commit 0799fe78267e5b858b8c0f5dc562caa89902b72d by Sven Krohlas.
Committed on 07/06/2012 at 22:05.
Pushed by krohlas into branch 'master'.

Amazon store: several fixes related to the config

* trivial code cleanup
* do not attempt to query the store if there is no valid config. I missed
  a corner case there
* correctly write the config if the user just presses OK when being
  presented our best guess. this is the ugliest hack I have ever written.
  Isn't there a better solution?
FIXED-IN:2.6

M  +54   -32   src/services/amazon/AmazonSettingsModule.cpp
M  +9    -6    src/services/amazon/AmazonStore.cpp

http://commits.kde.org/amarok/0799fe78267e5b858b8c0f5dc562caa89902b72d